Bug 1287581 - [gtk3] [wayland] Toolbars dragged out of main window are broken
Summary: [gtk3] [wayland] Toolbars dragged out of main window are broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-02 11:35 UTC by Christian Stadelmann
Modified: 2015-12-25 00:25 UTC (History)
6 users (show)

Fixed In Version: libreoffice-5.0.4.2-3.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-25 00:25:45 UTC


Attachments (Terms of Use)

Description Christian Stadelmann 2015-12-02 11:35:44 UTC
Description of problem:


Version-Release number of selected component (if applicable):
libreoffice-5.0.3.2-10.fc23.x86_64

Steps to Reproduce:
1. Open Libreoffice (gtk3)
2. drag a toolbar out of libreoffice
3. try to interact with it

Actual results:
Instead of seeing a usable toolbar you just get an empty window decoration. It seems like this window has correct contents but they are over-drawn by window decorations. A toolbar doesn't need decorations, as long as it has a close button.

Expected results:
Usable toolbars

Comment 1 Caolan McNamara 2015-12-15 14:31:32 UTC
Implemented this now upstream, have to explicitly turn off decorations (was implicit under X) + then can't move them via gtk_window_move anymore, but gtk_window_begin_move_drag works, and fits the usage here better too

Comment 2 Fedora Update System 2015-12-20 20:46:26 UTC
libreoffice-5.0.4.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-98c92e275f

Comment 3 Fedora Update System 2015-12-23 00:11:39 UTC
libreoffice-5.0.4.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-98c92e275f

Comment 4 Fedora Update System 2015-12-25 00:25:18 UTC
libreoffice-5.0.4.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.